# Contributing to Reuters

The Reuters API is vast and has lots of calls that each vary in complexity and usage. At the moment, we only have limited development time, so have only developed the calls that we use. 

If you would like to develop an API Call, open an issue and please feel free to ask for assistance with building it.

You will find that most classes are well documented and we have designed the gem to be as intuitive and flexible to develop as possible. 

If you find a bug, have a feature request or even want to contribute an enhancement or fix, please follow the below guidelines so that we can help you out and/or get your code merged quickly.

## If you find what looks like a bug

* Check the [GitHub issue tracker](http://github.com/stockflare/reuters/issues/) to see if anyone else has reported the issue.
* Make sure you are using the latest version of Reuters
* If you are still having an issue, create an issue including:
  * Information you will need to reproduce and diagnose the problem

## If you want to contribute an enhancement or a fix

0. Discuss any major enhancement with the project moderator.
0. Write your [Spec tests](http://betterspecs.org/).
0. Write or modify any affected documentation.
0. Ensure that your tests work and your documentation is complete.

### General Contributition Guidelines

We follow the standard GitHub fork & pull request approach to open source collaboration. You can find a description on how this works on the [gun.io blog](https://gun.io/blog/how-to-github-fork-branch-and-pull-request/).

In a nutshell:

0. Fork it.
0. Create your feature branch (`git checkout -b feature/my-new-feature`).
0. Commit your changes (`git commit -am 'Add some feature'`) and [reference any issues](https://github.com/blog/831-issues-2-0-the-next-generation).
0. Push to your branch (`git push origin my-new-feature`).
0. Send a new Pull Request describing what you have done and why, in detail.

**IMPORTANT**: By submitting a patch, you agree to allow the project owners to license your work under the the terms of the MIT license. A copy of this license is provided in the root of the repository.